<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2005 Coppermine Dev Team
  v1.1 originaly written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Inspired from Nibbler Add on adapted for CPG 1.4.* by deejaymoni # http://coppermine-gallery.net/forum/index.php?topic=26629.0
  Plugin Created by Frantz 04/11/2006
  ********************************************
  Updated by pbasmo for CGP 1.5.x
  Date : 2011/08/16
  ********************************************
*/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

GLOBAL $CONFIG, $lang_plugin_update_history;
require_once('include/init.inc.php');	//modified in require_once for CPG 1.5.x
require ('plugins/update_history/include/init.inc.php');

$history_superCage = Inspekt::makeSuperCage();	//add for CPG 1.5.x

$CONFIG['TABLE_UPDATE_HISTORY_CONFIG'] = $CONFIG['TABLE_PREFIX'].'update_history_config';
if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);

if($lang_text_dir=='ltr') {
	$align="left";
	$direction="ltr";
}else {
	$align="right";
	$direction="rtl";
}

pageheader($lang_plugin_update_history['plugin_name']);

//Add HERE for CPG 1.5.x
$usergroup = ''; //default
if ($history_superCage->post->keyExists('usergroup')) {
	$usergroup = $history_superCage->post->getAlnum('usergroup');
}
//Add HERE for CPG 1.5.x
if ($history_superCage->post->keyExists('groupid')) {
	$groupid = $history_superCage->post->getInt('groupid');
}

//Check if form is submitted
if ($history_superCage->post->keyExists('save')) {	//modified for CPG 1.5
	//set the new params
	$groupid=$history_superCage->post->getInt('groupid');	//modified for CPG 1.5
	$setbloc=$history_superCage->post->getInt('bloc');	//modified for CPG 1.5
	$setarchive=$history_superCage->post->getInt('archive');	//modified for CPG 1.5
	$setuploader=$history_superCage->post->getInt('uploader');	//modified for CPG 1.5
	$setdays=$history_superCage->post->getInt('days');	//modified for CPG 1.5
	$setnumber=$history_superCage->post->getInt('nb');	//modified for CPG 1.5
	
	//check if group exist in the table
	$sql="select * FROM `{$CONFIG['TABLE_UPDATE_HISTORY_CONFIG']}` WHERE `Group_Id`=$groupid";
	$result2=cpg_db_query($sql);
	$row2=mysql_num_rows($result2);
	//if not in the table, create a new entry
	if ($row2==FALSE){
		// Activate these lines for CPG 1.5.x
		$query="INSERT INTO `{$CONFIG['TABLE_UPDATE_HISTORY_CONFIG']}`VALUE($groupid,$setbloc,$setarchive,$setuploader,$setdays,$setnumber)";
		cpg_db_query($query);
	}else{
	//else, update the table
		$query="UPDATE `{$CONFIG['TABLE_UPDATE_HISTORY_CONFIG']}` SET bloc=$setbloc, archive=$setarchive, uploader_name=$setuploader, days=$setdays, number=$setnumber WHERE Group_Id=$groupid";
		cpg_db_query($query);
	}
	msg_box($lang_plugin_update_history['plugin_name'], $lang_plugin_update_history_admin['succes'], $lang_continue, 'index.php?file=update_history/history_admin','100%');
	pagefooter();
	//unset($_POST['save']);	//Not needed for CPG 1.5.x
	exit;
}
//end of saving

//select User group to config
//create usergroup dropdown list
$sql="SELECT group_id,group_name FROM `{$CONFIG['TABLE_USERGROUPS']}`";
$result=cpg_db_query($sql);

if ($usergroup == '') {
	starttable("100%",$lang_plugin_update_history_admin['title']);
	?>
	<form id='username' name='username' action="<?php echo $_SERVER['PHP_SELF']; ?>" method='post'>
	<tr>
		<td class="tableh2" align="rigth"><?php echo $lang_plugin_update_history_admin['group_name']; ?>:
		<select name='usergroup' >
				<?php while ($row=mysql_fetch_array($result)){
					extract($row);
					if($usergroup==$row['group_name']){
						echo"<option value='$group_name'selected>$group_name \n";
					}
					else{
						echo"<option value='$group_name'>$group_name \n";
					}
				 } ?></select>
					<input name="groupid" type="hidden" value="<?php echo $row['group_id']; ?>">		
					<input type='submit'value="<?php echo $lang_plugin_update_history['submit'];?>">
	</tr>
	</form>
<?php
endtable();
}


//if usergroup selected
if($usergroup<>""){
	//extract groupid from the selected usergroup
	$sql3="SELECT group_id,group_name FROM `{$CONFIG['TABLE_USERGROUPS']}`WHERE group_name = '$usergroup'";
	$result3=cpg_db_query($sql3);
	$row3=mysql_fetch_array($result3);
	$groupid=$row3['group_id'];
	$title=$lang_plugin_update_history_admin['param']."<b>".$usergroup."</b>";

	$sql4="select * FROM {$CONFIG['TABLE_UPDATE_HISTORY_CONFIG']} WHERE group_id=$groupid";
	$result4=cpg_db_query($sql4);
	$param=mysql_fetch_array($result4);
	
	// Add if record doesn't exist in table_update_history_config (for CPG 1.5.x)
	$bloc = isset($param['bloc']) ? $param['bloc'] : '0';
	$archive = isset($param['archive']) ? $param['archive'] : '0';
	$uploader_name = isset($param['uploader_name']) ? $param['uploader_name'] : '0';
	$days = isset($param['days']) ? $param['days'] : '0';
	$number = isset($param['number']) ? $param['number'] : '4';
	
	// prepare the form
	// Return values of Radio buttons has been changed in 0 or 1 (for CPG 1.5.x)
	if ($bloc==1){
		$confbloc="<td align='right' width='50%'>{$lang_plugin_update_history_admin['bloc']}</td><td align='left'><input type='radio' name='bloc'  value='1' checked='true' >{$lang_plugin_update_history_config['yes']}<input type='radio' name='bloc' value='0'>{$lang_plugin_update_history_config['no']}</td>";
	}else{
		$confbloc="<td align='right' width='50%'>{$lang_plugin_update_history_admin['bloc']}</td><td align='left'><input type='radio' name='bloc' value='1'>{$lang_plugin_update_history_config['yes']}<input type='radio' name='bloc' value='0' checked='true'>{$lang_plugin_update_history_config['no']}</td>";
	}
	// Return values of Radio buttons has been changed in 0 or 1 (for CPG 1.5.x)
	if ($archive==1){
		$confarchive="<td align='right' width='50%' >{$lang_plugin_update_history_admin['archive']}</td><td align='left'><input type='radio' name='archive'  value='1' checked='true' >{$lang_plugin_update_history_config['yes']}<input type='radio' name='archive' value='0'>{$lang_plugin_update_history_config['no']}</td>";
	}else{
		$confarchive="<td align='right' width='50%'>{$lang_plugin_update_history_admin['archive']}</td><td align='left'><input type='radio' name='archive'  value='1'  >{$lang_plugin_update_history_config['yes']}<input type='radio' name='archive' value='0' checked='true'>{$lang_plugin_update_history_config['no']}</td>";
	}
	// Return values of Radio buttons has been changed in 0 or 1 (for CPG 1.5.x)
	if ($uploader_name==1){
		$confuploader="<td align='right' width='50%'>{$lang_plugin_update_history_admin['uploader']}</td><td align='left'><input type='radio' name='uploader'  value='1' checked='true' >{$lang_plugin_update_history_config['yes']}<input type='radio' name='uploader' value='0'>{$lang_plugin_update_history_config['no']}</td>";
	}else{
		$confuploader="<td align='right' width='50%'>{$lang_plugin_update_history_admin['uploader']}</td><td align='left'><input type='radio' name='uploader'  value='1'  >{$lang_plugin_update_history_config['yes']}<input type='radio' name='uploader' value='0' checked='true'>{$lang_plugin_update_history_config['no']}</td>";
	}
	// Return values of Radio buttons has been changed in 0 or 1 (for CPG 1.5.x)
	if ($days==1){
		$confdays="<td align='right' width='50%'>{$lang_plugin_update_history_admin['days_last']}</td><td align='left'><input type='radio' name='days'  value='1' checked='true' >{$lang_plugin_update_history_admin['days']}<input type='radio' name='days' value='0'>{$lang_plugin_update_history_admin['last']}</td>";
	}else{
		$confdays="<td align='right' width='50%'>{$lang_plugin_update_history_admin['days_last']}</td><td align='left'><input type='radio' name='days'  value='1'>{$lang_plugin_update_history_admin['days']}<input type='radio' name='days' value='0' checked='true'>{$lang_plugin_update_history_admin['last']}</td>";
	}

	//Display config form
	starttable("100%",$title,2);
	echo '<tr align="center"><td class="tableh2" colspan="2">'.$lang_plugin_update_history_admin['text'].'</td></tr>';
	?>
	<form id='admin' name='admin' action='<?php echo $_SERVER['PHP_SELF'];?>' method='post'>
	<tr><?php echo $confbloc;?></tr>
	<tr><?php echo $confarchive;?></tr>	
	<tr><?php echo $confuploader;?></tr>
	<tr><?php echo $confdays;?></tr>
	<tr><td align='right' width='50%'><?php echo $lang_plugin_update_history_admin['nb'];?></td>
		<td align='left'><input type='text' size='5' name='nb' value="<?php echo $number;?>"></td>
	</tr>
	<tr><td colspan='2' align='center'><input type="hidden" name="groupid" value="<?php echo $groupid;?>"><input type='submit' name='save' value='<?php echo$lang_plugin_update_history_admin['save'];?>'></td></tr>	
	</form>
	<?php
	endtable();
}

pagefooter();
ob_end_flush();
// Deleted because not needed
//mysql_free_result($result2);
//mysql_free_result($result3);
//mysql_free_result($result);
//mysql_free_result($result4);
?>
